<?php

/********************************************************************************
	- MemHT Portal -
	
	Copyright (C) 2007-2008 by Miltenovik Manojlo
	http://www.memht.com
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your opinion) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License along
	with this program; if not, see <http://www.gnu.org/licenses/> (GPLv2)
	or write to the Free Software Foundation, Inc., 51 Franklin Street,
	Fifth Floor, Boston, MA02110-1301, USA.
		
********************************************************************************/

	if (stristr(htmlentities($_SERVER['PHP_SELF']), "block_templates.php")) {
		die("<table style='padding: 2px; border: 1px solid #999; background-color: #EEE; font-family: Verdana; font-size: 10px;' align='center'><tr><td><b>Error:</b> This file cannot be opened directly!</td></tr></table>");
	}
	
	global $siteConfig;
	
	unset($filearray);
	$filearray = array();
	$handle = opendir('templates/');
	while (false !== ($file = readdir($handle))) {
		if ($file != "." AND $file != ".." AND !preg_match("`html`is",$file) AND $file != "Thumbs.db" AND file_exists("templates/$file/home.html")) {
			$ttl = ucfirst($file);
			
			$filearray[] = "<option value='".$siteConfig['site_url']."/index.php?newtemplate=$file'>$ttl</option>";
		}
	}
	closedir($handle);
	@sort($filearray);
	@reset($filearray);
	
	echo "<div align='center' style='padding:2px 0 0 0;'><select onChange='location = this.options[this.selectedIndex].value;'>";
		echo "<option value='' selected>-- "._TEMPLATE_." --</option>\n";
		foreach($filearray as $line) {
			echo $line;
		}
		echo "<option value=''>----------------</option>\n";
		echo "<option value='".$siteConfig['site_url']."/index.php?newtemplate=reset'>"._RESET_."</option>\n";
	echo "</select></div>\n";
	
?>